classification
Title: zipimporter.find_module is untested
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: berker.peksag Nosy List: BreamoreBoy, alex, berker.peksag, brett.cannon, ncoghlan, python-dev, rbcollins, terry.reedy
Priority: normal Keywords: patch

Created on 2010-05-01 01:15 by alex, last changed 2015-07-22 14:59 by rbcollins. This issue is now closed.

Files
File name Uploaded Description Edit
issue8585.diff berker.peksag, 2012-11-18 19:12 review
Issue8585.patch BreamoreBoy, 2014-07-02 07:21 Original patch no longer applied review
Messages (8)
msg104684 - (view) Author: Alex Gaynor (alex) * (Python committer) Date: 2010-05-01 01:15
There are no tests for zipimporter.find_module in the success case, only tests that it handles invalid inputs ok.  I'll work up some tests for this tomorrow probably.
msg113041 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-05 20:29
Since devs are trying to improve tests, I expect a patch will get looked at.
msg113043 - (view) Author: Alex Gaynor (alex) * (Python committer) Date: 2010-08-05 20:33
Gah, I lost track of this one after I realized the bug I was chasing after (originally thought to be in PyPy's zipimpoter) was actually in Django.  I'll try to get to this over the weekend.
msg175776 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-11-17 17:07
Been longer than a weekend. =)
msg175906 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2012-11-18 19:12
I've attached a patch that adds tests for the zipimporter.find_module().
msg222080 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-02 07:21
I've just reworked Berker's patch as it no longer applied.  On Windows 7 before and after applying the patch both test runs gave me 49 tests, 2 skipped.  Can we have a commit review please.
msg247124 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-07-22 14:58
New changeset ef5c5a2bbd48 by Robert Collins in branch 'default':
Issue #8585: improved tests for zipimporter2. Patch from Mark Lawrence.
https://hg.python.org/cpython/rev/ef5c5a2bbd48
msg247126 - (view) Author: Robert Collins (rbcollins) * (Python committer) Date: 2015-07-22 14:59
Applied to 3.6 only.
History
Date User Action Args
2015-07-22 14:59:24rbcollinssetstatus: open -> closed

versions: + Python 3.6, - Python 3.5
nosy: + rbcollins

messages: + msg247126
resolution: fixed
stage: commit review -> resolved
2015-07-22 14:58:13python-devsetnosy: + python-dev
messages: + msg247124
2014-07-10 15:49:04berker.peksagsetversions: - Python 3.4
2014-07-02 18:30:08brett.cannonsetassignee: berker.peksag
2014-07-02 09:04:07Claudiu.Popasetstage: needs patch -> commit review
versions: + Python 3.5, - Python 3.2, Python 3.3
2014-07-02 07:21:11BreamoreBoysetfiles: + Issue8585.patch
nosy: + BreamoreBoy
messages: + msg222080

2012-11-18 19:12:26berker.peksagsetfiles: + issue8585.diff
versions: + Python 3.2, Python 3.3
nosy: + berker.peksag

messages: + msg175906

keywords: + patch
2012-11-17 17:33:32brett.cannonsetversions: - Python 2.7, Python 3.2, Python 3.3
2012-11-17 17:24:55terry.reedysetversions: + Python 3.3, Python 3.4, - Python 3.1
2012-11-17 17:07:19brett.cannonsetmessages: + msg175776
2010-08-05 20:33:17alexsetmessages: + msg113043
2010-08-05 20:29:10terry.reedysetnosy: + terry.reedy

messages: + msg113041
versions: - Python 2.6
2010-05-01 01:16:46pitrousetversions: + Python 2.6, Python 3.1, Python 2.7, Python 3.2
nosy: + brett.cannon, ncoghlan

components: + Tests, - Extension Modules
type: behavior
stage: needs patch
2010-05-01 01:15:35alexcreate